#include ".\edge.h"
double Edge::KS = 1000;
double Edge::KD = 100;

double Edge::FAKTOR = 1;
double Edge::SHEAR_KS = 10000/Edge::FAKTOR;
double Edge::SHEAR_KD = 0.00010/Edge::FAKTOR;
double Edge::BEND_KS = 10/Edge::FAKTOR;
double Edge::BEND_KD = 0.00010/Edge::FAKTOR;
double Edge::STRETCH_KS = 10000/Edge::FAKTOR;
double Edge::STRETCH_KD = 0.00010/Edge::FAKTOR;

int Edge::TYPE = Edge::STRETCH;
Edge::Edge(int p0, int p1, int t0, int t1, int lel, int ler, int nel, int ner, double dist)
{
	p[0] = p0; p[1] = p1;

	t[0] = t0; t[1] = t1;

	e[0] = lel;
	e[1] = ler;
	e[2] = nel;
	e[3] = ner;
	type = Edge::TYPE;

	rest = dist;
}

Edge::~Edge(void)
{
}



